<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTheme](./bitburner.userinterface.settheme.md)

## UserInterface.setTheme() method

Sets the current theme

**Signature:**

```typescript
setTheme(newTheme: UserInterfaceTheme): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  newTheme | [UserInterfaceTheme](./bitburner.userinterfacetheme.md) |  |

**Returns:**

void

## Remarks

RAM cost: 0 GB

## Example

Usage example (NS2)

```ts
const theme = ns.ui.getTheme();
theme.primary = '#ff5500';
ns.ui.setTheme(theme);
```

